one-users-patch-one¶
Source¶
Repository:
jef-systems/jef-one-backendSource Run ID:
25256541517Source SHA:
944e655286e0c87c6e611453ffc46df43159a83dModule:
oneDocumentation Scope:
asyncLambda:
jef-one-patch-26
Endpoint¶
API Name:
jef-oneAction Name:
patchMethod:
PATCHScope Label:
AsyncResource Path:
/one-users-patch-oneComplete Endpoint:
https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-users-patch-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-one-patch-26curl payload mode:
json_body
API Gateway Description¶
Function: jef-one-patch-26
Module: jef-one
Action: patch
Method: PATCH
Invocation Mode: ASYNC
Resource Path: /one-users-patch-one
API Gateway Response:
- status_code: 202
- message: Request accepted for asynchronous processing.
Table:
- table: jef-one-users
Payload Example:
- pk: EMP0001
- entity_number: 1001
- employee_number: EMP0001
- display_name: Admin User
- password_hash: sample-password-hash-admin
- is_active: True
- roles: [{"module_number":"01","role_name":"admin"},{"module_number":"02","role_name":"manager"}]
- created_at: 2026-04-29T00:00:00Z
- updated_at: 2026-04-29T00:00:00Z
- password_updated_at: 2026-04-29T00:00:00Z
Payload Schema:
- pk: string-{employee_number}
- entity_number: string
- employee_number: string
- display_name: string
- password_hash: string
- is_active: boolean
- roles: string
- created_at: string
- updated_at: string
- password_updated_at: string
Response Schema:
- is_accepted: boolean
- message: string
Request Payload¶
{
"pk": "EMP0001",
"entity_number": "1001",
"employee_number": "EMP0001",
"display_name": "Admin User",
"password_hash": "sample-password-hash-admin",
"is_active": "True",
"roles": "[{\"module_number\":\"01\",\"role_name\":\"admin\"},{\"module_number\":\"02\",\"role_name\":\"manager\"}]",
"created_at": "2026-04-29T00:00:00Z",
"updated_at": "2026-04-29T00:00:00Z",
"password_updated_at": "2026-04-29T00:00:00Z"
}
Response¶
{
"is_accepted": "boolean",
"message": "string"
}
CMD curl¶
curl -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-users-patch-one" -H "Content-Type: application/json" --data-raw "{\"pk\": \"EMP0001\", \"entity_number\": \"1001\", \"employee_number\": \"EMP0001\", \"display_name\": \"Admin User\", \"password_hash\": \"sample-password-hash-admin\", \"is_active\": true, \"roles\": \"[{\\\"module_number\\\":\\\"01\\\",\\\"role_name\\\":\\\"admin\\\"},{\\\"module_number\\\":\\\"02\\\",\\\"role_name\\\":\\\"manager\\\"}]\", \"created_at\": \"2026-04-29T00:00:00Z\", \"updated_at\": \"2026-04-29T00:00:00Z\", \"password_updated_at\": \"2026-04-29T00:00:00Z\"}"
PowerShell curl¶
curl.exe -X PATCH "https://mfr670zvsh.execute-api.ap-southeast-1.amazonaws.com/prod/one-users-patch-one" -H "Content-Type: application/json" --data-raw '{"pk": "EMP0001", "entity_number": "1001", "employee_number": "EMP0001", "display_name": "Admin User", "password_hash": "sample-password-hash-admin", "is_active": true, "roles": "[{\"module_number\":\"01\",\"role_name\":\"admin\"},{\"module_number\":\"02\",\"role_name\":\"manager\"}]", "created_at": "2026-04-29T00:00:00Z", "updated_at": "2026-04-29T00:00:00Z", "password_updated_at": "2026-04-29T00:00:00Z"}'